# frozen_string_literal: true

class RemoveVulnerabilityFindingLinksAgain < Gitlab::Database::Migration[1.0]
  BATCH_SIZE = 50_000
  MIGRATION = 'RemoveVulnerabilityFindingLinks'

  disable_ddl_transaction!

  def up
    queue_background_migration_jobs_by_range_at_intervals(
      define_batchable_model('vulnerability_finding_links'),
      MIGRATION,
      2.minutes,
      batch_size: BATCH_SIZE
    )
  end

  def down
    # no ops
  end
end
